( function( api ) {

	// Extends our custom "vw-hosting-services" section.
	api.sectionConstructor['vw-hosting-services'] = api.Section.extend( {

		// No events for this type of section.
		attachEvents: function () {},

		// Always make the section active.
		isContextuallyActive: function () {
			return true;
		}
	} );

} )( wp.customize );

// reset setting
(function ($) {
    function ResetDemoSettings() {
        if (!confirm("Are you sure you want to reset demo import settings?")) return;

        $.post(ajaxurl, { action: 'vw_hosting_services_reset_demo_import_settings' }, function () {
            location.reload();
        });
    }

    // Remove any previous handlers and bind click
    $(document).off('click', '#real-estate-reset-btn').on('click', '#real-estate-reset-btn', function () {
        ResetDemoSettings();
    });

    window.ResetDemoSettings = ResetDemoSettings;
})(jQuery);
